summaryrefslogtreecommitdiff
path: root/port
diff options
context:
space:
mode:
authordzwdz2022-08-26 17:11:23 +0200
committerdzwdz2022-08-26 17:11:23 +0200
commite7676411e49bfd2e0da0b785ad4ac5dc909d0a41 (patch)
tree22f4608e68684aa71d94d2f9ccfd27f7066509e5 /port
parente6584db26da34572fb13aa236e16e19f71c8e976 (diff)
user/ports: port oed
make clean; ./port ed clean; make -j4 out/libc.a && ./port ed install && make -j4
Diffstat (limited to 'port')
-rwxr-xr-xport14
1 files changed, 14 insertions, 0 deletions
diff --git a/port b/port
new file mode 100755
index 0000000..78ad7b0
--- /dev/null
+++ b/port
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+export REPO="$PWD"
+export PREFIX="$REPO/out/initrd/usr/"
+export PATH="$REPO/ports/bin/:$REPO/toolchain/bin/:$PATH"
+
+if [ $1 = deepclean ]; then
+ rm -rf ports/out/
+ exit
+fi
+
+mkdir -p ports/out/$1/ $PREFIX
+cd ports/out/$1/
+sh $REPO/ports/$1 $2